// -*-C++-*-
/*!
 * @file  TileGeneratorSVC_impl.h
 * @brief Service implementation header of TileGenerator.idl
 *
 * @author 株式会社 東日本計算センター
 *
 * New BSD
 *
 */

#include "TileGeneratorSkel.h"

#ifndef TILEGENERATORSVC_IMPL_H
#define TILEGENERATORSVC_IMPL_H
 
/*!
 * @class TileGenerateReqMakeTileSVC_impl
 * Example class implementing IDL interface TileGenerateReqServ::TileGenerateReqMakeTile
 */
class TileGenerateReqMakeTileSVC_impl
 : public virtual POA_TileGenerateReqServ::TileGenerateReqMakeTile,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~TileGenerateReqMakeTileSVC_impl();
	 unsigned long m_ulGenerateMode;
	 unsigned long m_ulRobotCategory;
	 unsigned long m_ulGroupId;
	 double m_dStartLatitude;
	 double m_dStartLongitude;
	 double m_dEndLatitude;
	 double m_dEndLongitude;
	 unsigned long m_ulZoomlevel;

 public:
  /*!
   * @brief standard constructor
   */
   TileGenerateReqMakeTileSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~TileGenerateReqMakeTileSVC_impl();

   // attributes and operations
   CORBA::UShort usSetTileGenerateReqMakeTile(CORBA::ULong ulGenerateMode, CORBA::ULong ulRobotCategory, CORBA::ULong ulGroupId, CORBA::Double dStartLatitude, CORBA::Double dStartLongitude, CORBA::Double dEndLatitude, CORBA::Double dEndLongitude, CORBA::ULong ulZoomlevel);
   void GetTileGenerateReqMakeTile(CORBA::ULong& ulGenerateMode, CORBA::ULong& ulRobotCategory, CORBA::ULong& ulGroupId, CORBA::Double& dStartLatitude, CORBA::Double& dStartLongitude, CORBA::Double& dEndLatitude, CORBA::Double& dEndLongitude, CORBA::ULong& ulZoomlevel);
   void InitTileGenerateReqMakeTile(void);

};

/*!
 * @class TileGenerateNoticeSVC_impl
 * Example class implementing IDL interface TileGenerateStsServ::TileGenerateNotice
 */
class TileGenerateNoticeSVC_impl
 : public virtual POA_TileGenerateStsServ::TileGenerateNotice,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~TileGenerateNoticeSVC_impl();
	 unsigned long m_ulNotice;
	 unsigned long m_ulParam;

 public:
  /*!
   * @brief standard constructor
   */
   TileGenerateNoticeSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~TileGenerateNoticeSVC_impl();

   // attributes and operations
   CORBA::UShort usSetTileGenerateNotice(CORBA::ULong ulNotice, CORBA::ULong ulParam);
   void GetTileGenerateNotice(CORBA::ULong& ulNotice, CORBA::ULong& ulParam);
   void InitTileGenerateNotice(void);

};



#endif // TILEGENERATORSVC_IMPL_H


